Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367706 - [RFE] Installer '-d' option should be renamed, it does not mean debug
Summary: [RFE] Installer '-d' option should be renamed, it does not mean debug
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Bryan Kearney
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-17 09:17 UTC by Sebastian Hetze
Modified: 2019-04-01 20:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC


Attachments (Terms of Use)
forman-debug as requested (deleted)
2016-10-28 14:14 UTC, Sebastian Hetze
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 17396 None None None 2016-11-18 16:52:28 UTC

Description Sebastian Hetze 2016-08-17 09:17:12 UTC
Description of problem:

After 'satellite-installer --scenario satellite --upgrade' to the recent 6.2.1 release my Sat6 lost its TFTP and DHCP features.

It appears this is due to the installer does not store the settings from the previous call in the satellite-answers.yaml file correctly.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
satellite-installer --scenario satellite -v -d \
      --foreman-admin-password $ADMIN_PASSWORD \
      --foreman-admin-username $ADMIN \
      --foreman-initial-organization $ORG \
      --foreman-initial-location $LOC \
      --foreman-proxy-dns true \
      --foreman-proxy-dns-interface $SAT_INTERFACE \
      --foreman-proxy-dns-zone $DOMAIN  \
      --foreman-proxy-dns-forwarders $DNS \
      --foreman-proxy-dns-reverse $DNS_REV  \
      --foreman-proxy-dhcp true \
      --foreman-proxy-dhcp-interface $SAT_INTERFACE \
      --foreman-proxy-dhcp-range "$DHCP_RANGE" \
      --foreman-proxy-dhcp-gateway $DHCP_GW \
      --foreman-proxy-dhcp-nameservers $DHCP_DNS \
      --foreman-proxy-tftp true \
      --foreman-proxy-tftp-servername $(hostname) \
      --capsule-puppet true \
      --foreman-proxy-puppetca true ${CERT_ARGS} \
      --foreman-proxy-realm true \
      --foreman-proxy-realm-keytab /etc/foreman-proxy/freeipa.keytab \
      --foreman-proxy-realm-principal "realm-capsule@${REALM}" \
      --foreman-proxy-realm-provider freeipa
2.
satellite-installer --scenario satellite --upgrade

Actual results:
DHCP and TFTP features are lost (tftp: false, dhcp: false)

Expected results:
The upgrade should keep the settings from the initial installation.

Comment 2 Stephen Benjamin 2016-10-13 15:14:57 UTC
If you upgraded from 6.1 -> 6.2.1 then we always disabled TFTP on you due to a bug in the migration.  That was fixed as a side effect of https://bugzilla.redhat.com/show_bug.cgi?id=1124430.  However we shouldn't have touched the DHCP setting.

If it was a different case, I can't reproduce it:

[root@sat-rhel7 ~]# satellite-installer --foreman-proxy-tftp=true --foreman-proxy-dhcp=true
Installing             Done                                               [100%] [..........................................................................................................................................................]
  Success!
  * Satellite is running at https://sat-rhel7.example.com
  * To install additional capsule on separate machine continue by running:

      capsule-certs-generate --capsule-fqdn "$CAPSULE" --certs-tar "~/$CAPSULE-certs.tar"

  The full log is at /var/log/foreman-installer/satellite.log

[root@sat-rhel7 ~]# cat /etc/foreman-installer/scenarios.d/satellite-answers.yaml  | grep -E "tftp:|dhcp:"
    tftp: true
    dhcp: true

[root@sat-rhel7 ~]# satellite-installer --upgrade
[..snip..]
Upgrade completed!
[root@sat-rhel7 ~]# cat /etc/foreman-installer/scenarios.d/satellite-answers.yaml  | grep -E "tftp:|dhcp:"
    tftp: true
    dhcp: true

Comment 3 Sebastian Hetze 2016-10-19 18:23:46 UTC
Using the step1 above or my sat62 setup script https://github.com/shetze/hammer-scripts/blob/master/sat62-setup.sh the problem persists.

Comment 4 Stephen Benjamin 2016-10-19 19:09:58 UTC
Hi,

Can you give me exact steps that you're doing to reproduce it? The script is only installing Satellite, what makes it go away? What upgrade command do you give?

I gave my steps in comment #2, installing with tftp enabled, and upgrading, everything stays enabled..

I've tried it again on the same box, and yet again TFTP stays enabled:


[root@sat-rhel7 ~]# satellite-installer --upgrade
Upgrading...
Upgrade Step: stop_services...
[snip lots of output]
Upgrade completed!
[root@sat-rhel7 ~]# cat /etc/foreman-installer/scenarios.d/satellite-answers.yaml  | grep -E "tftp:|dhcp:"
    tftp: true
    dhcp: true

Comment 5 Sebastian Hetze 2016-10-20 10:17:46 UTC
I can confirm that

satellite-installer --scenario satellite --foreman-proxy-tftp true --foreman-proxy-dhcp true

does change the answers file.

However, in conjunction with the other options in my setup it does not.

I reproduce this by calling exactly the command line given above.

satellite-installer --scenario satellite -v -d \
      --foreman-admin-password $ADMIN_PASSWORD \
      --foreman-admin-username $ADMIN \
      --foreman-initial-organization $ORG \
      --foreman-initial-location $LOC \
      --foreman-proxy-dns true \
      --foreman-proxy-dns-interface $SAT_INTERFACE \
      --foreman-proxy-dns-zone $DOMAIN  \
      --foreman-proxy-dns-forwarders $DNS \
      --foreman-proxy-dns-reverse $DNS_REV  \
      --foreman-proxy-dhcp true \
      --foreman-proxy-dhcp-interface $SAT_INTERFACE \
      --foreman-proxy-dhcp-range "$DHCP_RANGE" \
      --foreman-proxy-dhcp-gateway $DHCP_GW \
      --foreman-proxy-dhcp-nameservers $DHCP_DNS \
      --foreman-proxy-tftp true \
      --foreman-proxy-tftp-servername $(hostname) \
      --capsule-puppet true \
      --foreman-proxy-puppetca true ${CERT_ARGS} \
      --foreman-proxy-realm true \
      --foreman-proxy-realm-keytab /etc/foreman-proxy/freeipa.keytab \
      --foreman-proxy-realm-principal "realm-capsule@${REALM}" \
      --foreman-proxy-realm-provider freeipa

Comment 6 Stephen Benjamin 2016-10-20 11:51:52 UTC
Hm, I tried that command and still don't see it - can you share a foreman-debug tarball with me, if you still have the server? Is this on el6 or el7? Thanks!

Comment 7 Sebastian Hetze 2016-10-28 14:13:26 UTC
Hi Stephen,

the problem persists with the 6.2.3 upgrade.

If you like I can give you access to the system.
Just send me your ssh key.

Comment 8 Sebastian Hetze 2016-10-28 14:14:42 UTC
Created attachment 1214999 [details]
forman-debug as requested

Comment 9 Stephen Benjamin 2016-10-28 16:13:45 UTC
That would be great!

  http://people.redhat.com/~stbenjam/ssh_key.txt

Comment 10 Stephen Benjamin 2016-11-18 16:46:22 UTC
Sorry for the delay, but I figured it out!!

`-d` does NOT mean debug!


"    -d, --dont-save-answers       Skip saving answers to '/etc/foreman-installer/scenarios.d/satellite-answers.yaml'? (default: false)"



This is an bad choice of meaning for 'd' I think. There were at least a couple of other people on the internal thread who reported this problem, and I would guess it's the source of their issue too.


I'll change this to an RFE to rename the option name.

Comment 11 Stephen Benjamin 2016-11-18 16:52:26 UTC
Created redmine issue http://projects.theforeman.org/issues/17396 from this bug

Comment 12 Bryan Kearney 2016-12-20 23:21:43 UTC
Upstream bug assigned to bkearney@redhat.com

Comment 13 Bryan Kearney 2016-12-20 23:21:46 UTC
Upstream bug assigned to bkearney@redhat.com

Comment 14 pm-sat@redhat.com 2017-03-24 08:02:27 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17396 has been resolved.

Comment 16 jcallaha 2017-12-14 20:01:23 UTC
Verified in Satellite 6.3 Beta. The -d option has been removed, while the long form remains intact.

-bash-4.2# satellite-installer -d
ERROR: Unrecognised option '-d'

See: 'satellite-installer --help'


-bash-4.2# satellite-installer --help | grep dont
    --dont-save-answers           Skip saving answers to '/etc/foreman-installer/scenarios.d/satellite-answers.yaml'? (default: false)

Comment 17 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.